# -*- coding: utf-8 -*-

from filer.fields.image import (
    AdminImageWidget, AdminImageFormField, FilerImageField,
)
from filer.models import File
from image_cropping.widgets import CropWidget


class CroppableImageWidget(CropWidget, AdminImageWidget):
    def render(self, name, value, attrs=None):
        if value:
            file_obj = File.objects.get(pk=value)
            attrs = attrs or {}
            attrs.update({
                'class': 'crop-thumb',
                'data-thumbnail-url':
                    file_obj.thumbnails['admin_sidebar_preview'],
                'data-field-name': name,
                'data-org-width': file_obj.width,
                'data-org-height': file_obj.height,
            })
        return super(CroppableImageWidget, self).render(name, value, attrs)

    class Media:
        css = {'all': ("image_cropping/css/jquery.Jcrop.min.css",)}
